import { useState, useEffect } from 'react';
import { csv } from 'd3';
//import {feature} from 'topojson';

const csvUrl =
  'https://gist.githubusercontent.com/wenleicao/24da06aff2538ba8740e559c7e670257/raw/city_crime_population_ratio.csv';

export const useCrimeData = () => {
  const [data, setData] = useState(null);
   const row = d => {
    d.lat = +d.lat;
    d.lon = +d.lon;
    d.total = +d.total;
    d.crime_rate = +d.crime_rate;
    return d;
    };
   
  console.log(data);

  useEffect(() => {
        csv(csvUrl, row).then(setData);
     
  }, []);
  
  return data;
};
